//	Release Version:	$ ODF 1 $
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef COMMANDS_H
#define COMMANDS_H

//==========================================================
#ifndef FWCMD_H
#include "FWCmd.h"			// FW_CCommand
#endif

//==========================================================
class CDataSaveContent;
class CPizza;

//==========================================================
class CPizzaCommand : public FW_CCommand
{
public:
	FW_DECLARE_AUTO(CPizzaCommand)
	
					CPizzaCommand(Environment* ev, 
									ODCommandID id,
									FW_CFrame* frame,
									CDataSaveContent* content,
									FW_CPoint position);
	virtual 		~CPizzaCommand();
protected:
	// overrides
	virtual void 	DoIt(Environment* ev);
	virtual void 	UndoIt(Environment* ev);
	virtual void 	RedoIt(Environment* ev);
	virtual void 	FreeRedoState(Environment* ev);
private:
	CDataSaveContent*	fContent;
	CPizza*				fPizza;
};

//==========================================================
#endif