//	Release Version:	$ ODF 1 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef CONTENT_H
#define CONTENT_H

//========================================================================================
#ifndef DEFINES_K
#include "Defines.k"
#endif

// ----- Framework Includes -----
#ifndef FWCONTNT_H
#include "FWContnt.h"
#endif

#include "QD3DViewer.h"

//========================================================================================
class CGraphics3DPart;

//========================================================================================
class CGraphics3DContent : public FW_CContent {
public:
	FW_DECLARE_AUTO(CGraphics3DContent)
						CGraphics3DContent(Environment* ev, CGraphics3DPart* part);
	virtual 			~CGraphics3DContent();
// overrides
protected:
	virtual void		Externalize(Environment* ev,
									 ODStorageUnit* storageUnit,
									 FW_EStorageKinds storageKind,
									 FW_CCloneInfo* cloneInfo);
	virtual FW_Boolean	Internalize(Environment* ev,
									 ODStorageUnit* storageUnit, 
									 FW_EStorageKinds storageKind,
									 FW_CCloneInfo* cloneInfo);
};

//========================================================================================
#endif