//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class CSample1Part;
class FW_CMenuEvent;

//=======================================================================
class CSample1Frame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CSample1Frame)
						CSample1Frame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CSample1Part* sample1Part);
	virtual 			~CSample1Frame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
};

//=======================================================================
#endif
