//	Copyright  1995-96 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ ODF 1 $

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class CSample3Part;
class DevUniv_STalker;

//=======================================================================
class CSample3Frame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CSample3Frame)
						CSample3Frame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CSample3Part* sample3Part);
	virtual 			~CSample3Frame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual FW_Boolean	DoMouseDown(Environment* ev, 
									const FW_CMouseEvent& theMouseEvent);
private:
	DevUniv_STalker*	fSOMTalker;	// SOM object for speech synthesis
};

//=======================================================================
#endif
